API referenceNetworkingDNS records
Create a DNS record
Requires the dns_records:create permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/dns-records" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "string", "value": "string", "vpc_id": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "priority": 0, "status": "string", "tags": { "property1": "string", "property2": "string" }, "ttl": 0, "type": "string", "updated_at": "2019-08-24T14:15:22Z", "value": "string", "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405", "vpc_name": "string"}